## flox 0.10.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/complexity.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/complexity.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/complexity"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/complexity"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## flox 0.5.9

=== debian/changelog ===
flox (0.5.9-4) unstable; urgency=medium

  * Skip tests that are broken an 32bit architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Aug 2022 07:33:38 +0000

flox (0.5.9-3) unstable; urgency=medium

  * Fix test dependencies in d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Aug 2022 15:38:01 +0000

flox (0.5.9-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2022 20:00:58 +0200

flox (0.5.9-1) unstable; urgency=low

  * Initial release (Closes: #1016797).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 20:07:15 +0000

=== debian/control ===
Source: flox
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dask,
               python3-numpy-groupies,
               python3-netcdf4,
               python3-pandas,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-toolz,
               python3-xarray
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/flox
Vcs-Git: https://salsa.debian.org/debian-gis-team/flox.git
Homepage: https://github.com/dcherian/flox

Package: python3-flox
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-dask,
            python3-xarray
Description: GroupBy operations for dask.array
 This project explores strategies for fast GroupBy reductions with dask.array.
 It used to be called `dask_groupby`.
 It was motivated by
 .
   1.  Dask Dataframe GroupBy
   2.  numpy_groupies in Xarray

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flox
export PYBUILD_TEST_ARGS=\
-k "not test_xarray_resample \
and not test_xarray_reduce_single_grouper \
and not test_func_is_aggregation \
and not test_groupby_bins_indexed_coordinate \
and not test_multi_index_groupby_sum \
and not test_groupby_reduce_nans" \
$(CURDIR)/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-pytest, python3-netcdf4, python3-dask, python3-xarray

## flox 0.6.1

=== debian/changelog ===
flox (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 21 Oct 2022 06:23:34 +0000

flox (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - new 0001-Compatibility-with-Pandas-older-than-1.4.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 07:59:12 +0000

flox (0.5.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update home page URL.
  * No longer skip "test_groupby_reduce_nans", fixed upstream.
    See https://github.com/xarray-contrib/flox/issues/133 and
    https://github.com/xarray-contrib/flox/pull/136,

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 10 Oct 2022 05:56:41 +0000

flox (0.5.9-5) unstable; urgency=medium

  * Team upload.
  * Don't install benchmarks directory.
    (closes: #1018792)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 31 Aug 2022 08:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/flox
 Vcs-Git: https://salsa.debian.org/debian-gis-team/flox.git
-Homepage: https://github.com/dcherian/flox
+Homepage: https://github.com/xarray-contrib/flox
 
 Package: python3-flox
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 and not test_xarray_reduce_single_grouper \
 and not test_func_is_aggregation \
 and not test_groupby_bins_indexed_coordinate \
-and not test_multi_index_groupby_sum \
-and not test_groupby_reduce_nans" \
+and not test_multi_index_groupby_sum" \
 $(CURDIR)/tests
+export PYBUILD_AFTER_INSTALL=rm -rf \
+{destdir}/{install_dir}/benchmarks
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## flox 0.6.7

=== debian/changelog ===
flox (0.6.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add upstream patches to fix test failure on i386.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - drop patches to fix test failure on i386 (applied upstream
      in the new version).
  * Standards version bumped to 4.6.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Jan 2023 07:43:43 +0000

flox (0.6.5-3) unstable; urgency=medium

  * Mark autopkgtests as skippable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 10 Jan 2023 06:27:19 +0000

flox (0.6.5-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable Salsa CI.

  [ Antonio Valentino ]
  * Disable autopkgtests on 32not architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 09 Jan 2023 21:44:50 +0000

flox (0.6.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control
    - versioned dependency: python3-numpy-groupies (>= 0.9.19).
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jan 2023 09:38:22 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
-               python3-numpy-groupies,
+               python3-numpy,
+               python3-numpy-groupies (>= 0.9.19),
                python3-netcdf4,
                python3-pandas,
                python3-pytest,
@@ -18,7 +19,7 @@
                python3-setuptools-scm,
                python3-toolz,
                python3-xarray
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/flox
 Vcs-Git: https://salsa.debian.org/debian-gis-team/flox.git
 Homepage: https://github.com/xarray-contrib/flox

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 {destdir}/{install_dir}/benchmarks
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-pytest, python3-netcdf4, python3-dask, python3-xarray
Restrictions: skippable

## flox 0.7.2

=== debian/changelog ===
flox (0.7.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
    (closes: #1045005)

  [ Antonio Valentino ]
  * debian/control:
    - use <!nocheck> marker
    - add build-dependency on python3-cachey.
  * Switch to autopkgtest-pkg-pybuild and remove the
    no longer needed d/tests folder.
  * New d/python3-flox.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 19:56:54 +0000

flox (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-packaging to build-dependencies.
  * Bump debhelper-compat version to 13.
  * debain/patch:
    - refresh all patches
    - new 0002-Fix-compatiility-with-new-dask-versions.patch
    - new 0003-Fix-tests-in-i386.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Jun 2023 11:06:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-cachey,
                python3-dask,
                python3-numpy,
                python3-numpy-groupies (>= 0.9.19),
-               python3-netcdf4,
+               python3-netcdf4 <!nocheck>,
+               python3-packaging,
                python3-pandas,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-toolz,

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,3 @@
 
 %:
 	dh $@ --with python3,numpy3 --buildsystem=pybuild
-
-override_dh_auto_clean:
-	dh_auto_clean
-	$(RM) -r *.egg-info

## flox 0.9.2

=== debian/changelog ===
flox (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Feb 2024 10:59:02 +0000

flox (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update dependencies: add cftime, drop netcdf4.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Jan 2024 11:19:58 +0000

flox (0.8.9-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jan 2024 11:52:58 +0000

flox (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Update the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Jan 2024 15:20:58 +0000

flox (0.8.6-2) unstable; urgency=medium

  * debian/rules:
    - Disable test_multi_index_groupby_sum.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jan 2024 08:28:37 +0000

flox (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/rules:
    - Update the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 15:39:02 +0000

flox (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on scipy.
  * debian/rules:
    - Skip tests requiring scipy v1.11.x.
    - Re-enable test_xarray_resample, test_multi_index_groupby_sum
      and test_dtype_accumulation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Dec 2023 23:25:22 +0000

flox (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Nov 2023 08:22:09 +0000

flox (0.8.1-2) unstable; urgency=medium

  * debian/rules:
    - Skip test_dtype_accumulation (broken).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Oct 2023 06:21:20 +0000

flox (0.8.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Improve lintian overrides.
  * debian/patches:
    - Drop d/patches/0001-Compatibility-with-Pandas-older-than-1.4.patch,
      d/patches/0002-Fix-compatiility-with-new-dask-versions.patch, and
      d/patches/0003-Fix-tests-in-i386.patch, applied upstream.
    - Refresh remaining patches.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2023 13:49:35 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-cachey,
+               python3-cftime,
                python3-dask,
                python3-numpy,
                python3-numpy-groupies (>= 0.9.19),
-               python3-netcdf4 <!nocheck>,
                python3-packaging,
                python3-pandas,
                python3-pytest <!nocheck>,
+               python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
                python3-toolz,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flox
export PYBUILD_TEST_ARGS=\
-k "not test_xarray_reduce_single_grouper \
and not test_func_is_aggregation \
and not test_groupby_bins_indexed_coordinate \
and not test_groupby_reduce_all \
and not test_verify_complex_cohorts \
and not test_group_by_datetime \
and not test_find_group_cohorts \
and not test_cohorts_map_reduce_consistent_dtypes \
and not test_dtype_accumulation \
and not test_multi_index_groupby_sum \
and not test_find_cohorts_missing_groups" \
$(CURDIR)/tests
export PYBUILD_AFTER_INSTALL=rm -rf \
{destdir}/{install_dir}/benchmarks

%:
	dh $@ --buildsystem=pybuild

## flox 0.9.8

=== debian/changelog ===
flox (0.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 May 2024 05:45:16 +0000

flox (0.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 09:01:22 +0000

flox (0.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 28 Mar 2024 08:06:23 +0000

## flox 0.9.10

=== debian/changelog ===
flox (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * Improve lintian overrides patterns.
  * debian/rules:
    - Fix testing.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Aug 2024 06:27:59 +0000

flox (0.9.9-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Explicitly depend on hypothesis.
  * debian/rules:
    - Skip tests requiring "snapshot".
    - Skiw broken hypothesis test.
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Aug 2024 10:17:27 +0000

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flox
export PYBUILD_TEST_ARGS=\
--ignore={dir}/tests/test_asv.py \
-k "not test_xarray_reduce_single_grouper \
and not test_func_is_aggregation \
and not test_groupby_bins_indexed_coordinate \
and not test_groupby_reduce_all \
and not test_verify_complex_cohorts \
and not test_group_by_datetime \
and not test_find_group_cohorts \
and not test_cohorts_map_reduce_consistent_dtypes \
and not test_dtype_accumulation \
and not test_multi_index_groupby_sum \
and not test_find_cohorts_missing_groups \
and not test_snapshot_cohorts \
and not test_groupby_reduce \
and not test_scans \
and not test_ffill_bfill_reverse" \
{dir}/tests
export PYBUILD_AFTER_INSTALL=rm -rf \
{destdir}/{install_dir}/benchmarks \
{destdir}/{install_dir}/asv_bench

%:
	dh $@ --buildsystem=pybuild

## flox 0.9.13

=== debian/changelog ===
flox (0.9.13-2) unstable; urgency=medium

  * debian/rule:
    - Disable a test that is broken on BE archs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 03 Oct 2024 05:30:08 +0000

flox (0.9.13-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 10:57:30 +0000

flox (0.9.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Update the list of tests to skip.
  * Update d/source/lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 13 Sep 2024 18:25:18 +0000

## flox 0.9.15

=== debian/changelog ===
flox (0.9.15-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Nov 2024 15:32:06 +0000

flox (0.9.14-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Nov 2024 16:43:47 +0000

## flox 0.10.0

=== debian/changelog ===
flox (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Jan 2025 11:04:40 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-cachey,
                python3-cftime,
                python3-dask,
+               python3-hypothesis <!nocheck>,
                python3-numpy,
                python3-numpy-groupies (>= 0.9.19),
                python3-packaging,
@@ -24,7 +25,7 @@
                python3-setuptools-scm,
                python3-toolz,
                python3-xarray
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/flox
 Vcs-Git: https://salsa.debian.org/debian-gis-team/flox.git
 Homepage: https://github.com/xarray-contrib/flox

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,9 @@
 and not test_snapshot_cohorts \
 and not test_groupby_reduce \
 and not test_scans \
-and not test_ffill_bfill_reverse" \
+and not test_ffill_bfill_reverse \
+and not test_groupby_preserve_dtype \
+and not test_blockwise_avoid_rechunk" \
 {dir}/tests
 export PYBUILD_AFTER_INSTALL=rm -rf \
 {destdir}/{install_dir}/benchmarks \

## flox 0.10.1

=== debian/changelog ===
flox (0.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 25 Mar 2025 06:28:29 +0000

## flox 0.10.2

=== debian/changelog ===
flox (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Apr 2025 05:33:27 +0000

## flox 0.10.3

=== debian/changelog ===
flox (0.10.3-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests that are too slow and cause timeout errors on some
      platforms (Closes: #1105156).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 May 2025 06:55:46 +0000

flox (0.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Apr 2025 09:17:14 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                python3-setuptools-scm,
                python3-toolz,
                python3-xarray
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/flox
 Vcs-Git: https://salsa.debian.org/debian-gis-team/flox.git
 Homepage: https://github.com/xarray-contrib/flox

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=flox
 export PYBUILD_TEST_ARGS=\
+--hypothesis-profile=ci \
 --ignore={dir}/tests/test_asv.py \
 -k "not test_xarray_reduce_single_grouper \
 and not test_func_is_aggregation \
@@ -19,7 +20,8 @@
 and not test_scans \
 and not test_ffill_bfill_reverse \
 and not test_groupby_preserve_dtype \
-and not test_blockwise_avoid_rechunk" \
+and not test_blockwise_avoid_rechunk \
+and not test_first_last" \
 {dir}/tests
 export PYBUILD_AFTER_INSTALL=rm -rf \
 {destdir}/{install_dir}/benchmarks \

## flox 0.10.4

=== debian/changelog ===
flox (0.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Drop versioned dependency for numpy-groupies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 08 Aug 2025 06:02:52 +0000

## flox 0.10.5

=== debian/changelog ===
flox (0.10.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Disable tests that are broken on i386.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 09:06:34 +0000

## flox 0.10.6

=== debian/changelog ===
flox (0.10.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Aug 2025 05:40:31 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-dask,
                python3-hypothesis <!nocheck>,
                python3-numpy,
-               python3-numpy-groupies (>= 0.9.19),
+               python3-numpy-groupies,
                python3-packaging,
                python3-pandas,
                python3-pytest <!nocheck>,

## flox 0.10.7

=== debian/changelog ===
flox (0.10.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Drop Rules-Requires-Root: no, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 19 Sep 2025 06:55:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 and not test_ffill_bfill_reverse \
 and not test_groupby_preserve_dtype \
 and not test_blockwise_avoid_rechunk \
-and not test_first_last" \
+and not test_first_last \
+and not test_cumsum" \
 {dir}/tests
 export PYBUILD_AFTER_INSTALL=rm -rf \
 {destdir}/{install_dir}/benchmarks \

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/xarray-contrib/flox/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flox 0.10.8

=== debian/changelog ===
flox (0.10.8-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * debian/patch:
    - New 0001-Robust-module_available.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 Jan 2026 06:36:17 +0000

flox (0.10.8-2) unstable; urgency=medium

  * Do not run autopkgtests on i386.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Dec 2025 12:01:05 +0000

flox (0.10.8-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Dec 2025 06:24:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: flox
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Testsuite: autopkgtest-pkg-pybuild
@@ -24,7 +23,7 @@
                python3-setuptools-scm,
                python3-toolz,
                python3-xarray
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/flox
 Vcs-Git: https://salsa.debian.org/debian-gis-team/flox.git
 Homepage: https://github.com/xarray-contrib/flox

## flox 0.11.0

=== debian/changelog ===
flox (0.11.0-3) unstable; urgency=medium

  * debian/patches:
    - New 0002-BE-compat.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Feb 2026 07:21:34 +0000

flox (0.11.0-2) unstable; urgency=medium

  * debian/control:
    - Remove rependency on python3-sparse.
      It is only an optional dependeny of flox and it
      introduces an indirect dependency on numba.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 05 Feb 2026 06:36:31 +0000

flox (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add build-dependency on python3-pytest-pretty,
      python3-pytest-xdist, python3-sparse and python3-syrupy.
  * debian/patches:
    - Refresh all aptches.
  * debian/rules:
    - Re-enable most of the tests.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Feb 2026 22:04:11 +0000

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flox
export PYBUILD_TEST_ARGS=\
--hypothesis-profile=ci \
--ignore={dir}/tests/test_asv.py \
-k "not test_groupby_reduce_all" \
{dir}/tests
export PYBUILD_AFTER_INSTALL=rm -rf \
{destdir}/{install_dir}/benchmarks \
{destdir}/{install_dir}/asv_bench

%:
	dh $@ --buildsystem=pybuild

## flox 0.11.1

=== debian/changelog ===
flox (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-BE-compat.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Feb 2026 09:44:29 +0000

## flox 0.11.2

=== debian/changelog ===
flox (0.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Feb 2026 22:34:55 +0000

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,12 @@
                python3-packaging,
                python3-pandas,
                python3-pytest <!nocheck>,
+               python3-pytest-pretty <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-syrupy <!nocheck>,
                python3-toolz,
                python3-xarray
 Standards-Version: 4.7.3
@@ -34,6 +37,7 @@
          ${python3:Depends}
 Recommends: python3-dask,
             python3-xarray
+Suggests: python3-sparse
 Description: GroupBy operations for dask.array
  This project explores strategies for fast GroupBy reductions with dask.array.
  It used to be called `dask_groupby`.
